Index: svn/src/mainboard/msi/ms9282/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/devicetree.cb
+++ svn/src/mainboard/msi/ms9282/devicetree.cb
@@ -137,27 +137,21 @@ chip northbridge/amd/amdk8/root_complex
                                        device pci 5.1 on  end # SATA 1
                                        device pci 5.2 on  end # SATA 2
                                        device pci 6.0 on  #P2P
-                                               chip drivers/pci/onboard
-                                                       device pci 4.0 on end
-                                               end
+                                               device pci 4.0 on end
                                        end # P2P
                                        device pci 7.0 on end # reserve
                                        device pci 8.0 on end # MAC0
                                        device pci 9.0 on end # MAC1
                                        device pci a.0 on
                                                device pci 0.0 on
-                                                       chip drivers/pci/onboard
-                                                               device pci 4.0 on end  #pci_E lan1
-                                                               device pci 4.1 on end  #pci_E lan2
-                                                       end
+                                                       device pci 4.0 on end  #pci_E lan1
+                                                       device pci 4.1 on end  #pci_E lan2
                                                end
                                        end # 0x376
                                                device pci b.0 on  end # PCI E 0x374
                                        device pci c.0 on  end
                                        device pci d.0 on   #SAS
-                                               chip drivers/pci/onboard
-                                                       device pci 0.0 on end
-                                               end
+                                               device pci 0.0 on end
                                        end # PCI E 1 0x378
                                        device pci e.0 on end # PCI E 0 0x375
                                        device pci f.0 on end   #PCI E 0x377  pci_E slot
Index: svn/src/mainboard/nec/powermate2000/Config.lb
===================================================================
--- svn.orig/src/mainboard/nec/powermate2000/Config.lb
+++ svn/src/mainboard/nec/powermate2000/Config.lb
@@ -75,11 +75,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    device pci 1.0 off				# Onboard video
-      # chip drivers/pci/onboard
-      #   device pci 1.0 on end
-      # end
-    end
+    device pci 1.0 off end			# Onboard video
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/nec/powermate2000/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/nec/powermate2000/devicetree.cb
+++ svn/src/mainboard/nec/powermate2000/devicetree.cb
@@ -6,11 +6,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    device pci 1.0 off				# Onboard video
-      # chip drivers/pci/onboard
-      #   device pci 1.0 on end
-      # end
-    end
+    device pci 1.0 off end			# Onboard video
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/rca/rm4100/Config.lb
===================================================================
--- svn.orig/src/mainboard/rca/rm4100/Config.lb
+++ svn/src/mainboard/rca/rm4100/Config.lb
@@ -75,9 +75,7 @@ config chip.h
 chip northbridge/intel/i82830		# Northbridge
   device pci_domain 0 on		# PCI domain
     device pci 0.0 on end		# Host bridge
-    chip drivers/pci/onboard		# Onboard VGA
-      device pci 2.0 on end		# VGA (Intel 82830 CGC)
-    end
+    device pci 2.0 on end		# VGA (Intel 82830 CGC)
     chip southbridge/intel/i82801xx	# Southbridge
       register "pirqa_routing" = "0x05"
       register "pirqb_routing" = "0x06"
Index: svn/src/mainboard/rca/rm4100/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/rca/rm4100/devicetree.cb
+++ svn/src/mainboard/rca/rm4100/devicetree.cb
@@ -1,9 +1,7 @@
 chip northbridge/intel/i82830		# Northbridge
   device pci_domain 0 on		# PCI domain
     device pci 0.0 on end		# Host bridge
-    chip drivers/pci/onboard		# Onboard VGA
-      device pci 2.0 on end		# VGA (Intel 82830 CGC)
-    end
+    device pci 2.0 on end		# VGA (Intel 82830 CGC)
     chip southbridge/intel/i82801xx	# Southbridge
       register "pirqa_routing" = "0x05"
       register "pirqb_routing" = "0x06"
Index: svn/src/mainboard/supermicro/h8dme/Config.lb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/Config.lb
+++ svn/src/mainboard/supermicro/h8dme/Config.lb
@@ -254,9 +254,7 @@ chip northbridge/amd/amdk8/root_complex
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/supermicro/h8dme/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/devicetree.cb
+++ svn/src/mainboard/supermicro/h8dme/devicetree.cb
@@ -92,9 +92,7 @@ chip northbridge/amd/amdk8/root_complex
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/supermicro/h8dmr/Config.lb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/Config.lb
+++ svn/src/mainboard/supermicro/h8dmr/Config.lb
@@ -276,9 +276,7 @@ chip northbridge/amd/amdk8/root_complex
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/supermicro/h8dmr/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/devicetree.cb
+++ svn/src/mainboard/supermicro/h8dmr/devicetree.cb
@@ -112,9 +112,7 @@ chip northbridge/amd/amdk8/root_complex
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/supermicro/h8dmr_fam10/Config.lb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/Config.lb
+++ svn/src/mainboard/supermicro/h8dmr_fam10/Config.lb
@@ -280,9 +280,7 @@ chip northbridge/amd/amdfam10/root_compl
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/supermicro/h8dmr_fam10/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/devicetree.cb
+++ svn/src/mainboard/supermicro/h8dmr_fam10/devicetree.cb
@@ -114,9 +114,7 @@ chip northbridge/amd/amdfam10/root_compl
 	                		device pci 5.1 on end # SATA 1
 	                		device pci 5.2 on end # SATA 2
                 			device pci 6.0 on  # PCI
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 6.0 on end
 					end
         	        		device pci 6.1 on end # AZA
 	                		device pci 8.0 on end # NIC
Index: svn/src/mainboard/technexion/tim5690/Config.lb
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/Config.lb
+++ svn/src/mainboard/technexion/tim5690/Config.lb
@@ -155,9 +155,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/technexion/tim5690/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/devicetree.cb
+++ svn/src/mainboard/technexion/tim5690/devicetree.cb
@@ -20,9 +20,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/technexion/tim8690/Config.lb
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/Config.lb
+++ svn/src/mainboard/technexion/tim8690/Config.lb
@@ -155,9 +155,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/technexion/tim8690/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/devicetree.cb
+++ svn/src/mainboard/technexion/tim8690/devicetree.cb
@@ -20,9 +20,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/technologic/ts5300/Config.lb
===================================================================
--- svn.orig/src/mainboard/technologic/ts5300/Config.lb
+++ svn/src/mainboard/technologic/ts5300/Config.lb
@@ -104,12 +104,6 @@ chip cpu/amd/sc520
 	device pci_domain 0 on 
 		device pci 0.0 on end
 	
-#		chip drivers/pci/onboard
-#			device pci 12.0 on end # enet
-#		end
-#		chip drivers/pci/onboard
-#			device pci 14.0 on end # 69000
-#		end
 #		register "com1" = "{1}"
 #		register "com1" = "{1, 0, 0x3f8, 4}"
 	end
Index: svn/src/mainboard/technologic/ts5300/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/technologic/ts5300/devicetree.cb
+++ svn/src/mainboard/technologic/ts5300/devicetree.cb
@@ -2,12 +2,6 @@ chip cpu/amd/sc520
 	device pci_domain 0 on 
 		device pci 0.0 on end
 	
-#		chip drivers/pci/onboard
-#			device pci 12.0 on end # enet
-#		end
-#		chip drivers/pci/onboard
-#			device pci 14.0 on end # 69000
-#		end
 #		register "com1" = "{1}"
 #		register "com1" = "{1, 0, 0x3f8, 4}"
 	end
Index: svn/src/mainboard/thomson/ip1000/Config.lb
===================================================================
--- svn.orig/src/mainboard/thomson/ip1000/Config.lb
+++ svn/src/mainboard/thomson/ip1000/Config.lb
@@ -75,9 +75,7 @@ config chip.h
 chip northbridge/intel/i82830		# Northbridge
   device pci_domain 0 on		# PCI domain
     device pci 0.0 on end		# Host bridge
-    chip drivers/pci/onboard		# Onboard VGA
-      device pci 2.0 on end		# VGA (Intel 82830 CGC)
-    end
+    device pci 2.0 on end		# VGA (Intel 82830 CGC)
     chip southbridge/intel/i82801xx	# Southbridge
       register "pirqa_routing" = "0x05"
       register "pirqb_routing" = "0x06"
Index: svn/src/mainboard/thomson/ip1000/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/thomson/ip1000/devicetree.cb
+++ svn/src/mainboard/thomson/ip1000/devicetree.cb
@@ -1,9 +1,7 @@
 chip northbridge/intel/i82830		# Northbridge
   device pci_domain 0 on		# PCI domain
     device pci 0.0 on end		# Host bridge
-    chip drivers/pci/onboard		# Onboard VGA
-      device pci 2.0 on end		# VGA (Intel 82830 CGC)
-    end
+    device pci 2.0 on end		# VGA (Intel 82830 CGC)
     chip southbridge/intel/i82801xx	# Southbridge
       register "pirqa_routing" = "0x05"
       register "pirqb_routing" = "0x06"
Index: svn/src/mainboard/tyan/s2850/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2850/Config.lb
+++ svn/src/mainboard/tyan/s2850/Config.lb
@@ -119,9 +119,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.2 off end
 						device pci 1.0 off end
                                                 #chip drivers/ati/ragexl
-						chip drivers/pci/onboard
-                                                        device pci b.0 on end
-                                                end
+                                                device pci b.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2850/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/tyan/s2850/devicetree.cb
+++ svn/src/mainboard/tyan/s2850/devicetree.cb
@@ -17,9 +17,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.2 off end
 						device pci 1.0 off end
                                                 #chip drivers/ati/ragexl
-						chip drivers/pci/onboard
-                                                        device pci b.0 on end
-                                                end
+                                                device pci b.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2875/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2875/Config.lb
+++ svn/src/mainboard/tyan/s2875/Config.lb
@@ -123,9 +123,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end
-                                                end
+                                                device pci 5.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2875/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/tyan/s2875/devicetree.cb
+++ svn/src/mainboard/tyan/s2875/devicetree.cb
@@ -21,9 +21,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end
-                                                end
+                                                device pci 5.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2880/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2880/Config.lb
+++ svn/src/mainboard/tyan/s2880/Config.lb
@@ -113,10 +113,8 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end #broadcom
-							device pci 9.1 on end 
-                                                end
+                                                device pci 9.0 on end #broadcom
+						device pci 9.1 on end
 #                                                chip drivers/lsi/53c1030
 #                                                        device pci a.0 on end
 #                                                        device pci a.1 on end
@@ -135,12 +133,8 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end #some sata
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end #adti
-                                                end
+                                                device pci 5.0 on end #some sata
+                                                device pci 6.0 on end #adti
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2880/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/tyan/s2880/devicetree.cb
+++ svn/src/mainboard/tyan/s2880/devicetree.cb
@@ -11,10 +11,8 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end #broadcom
-							device pci 9.1 on end 
-                                                end
+                                                device pci 9.0 on end #broadcom
+						device pci 9.1 on end
 #                                                chip drivers/lsi/53c1030
 #                                                        device pci a.0 on end
 #                                                        device pci a.1 on end
@@ -33,12 +31,8 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end #some sata
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end #adti
-                                                end
+                                                device pci 5.0 on end #some sata
+                                                device pci 6.0 on end #adti
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2881/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/Config.lb
+++ svn/src/mainboard/tyan/s2881/Config.lb
@@ -115,14 +115,10 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on 
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end # Broadcom 5704
-                                                        device pci 9.1 on end
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci a.0 on end # Adaptic
-                                                        device pci a.1 on end
-                                                end
+                                                device pci 9.0 on end # Broadcom 5704
+                                                device pci 9.1 on end
+                                                device pci a.0 on end # Adaptic
+                                                device pci a.1 on end
 					end
 					device pci 0.1 on end
 					device pci 1.0 on end
@@ -136,12 +132,8 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end # SiI
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 5.0 on end # SiI
+                                                device pci 6.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2881/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/devicetree.cb
+++ svn/src/mainboard/tyan/s2881/devicetree.cb
@@ -13,14 +13,10 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on 
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end # Broadcom 5704
-                                                        device pci 9.1 on end
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci a.0 on end # Adaptic
-                                                        device pci a.1 on end
-                                                end
+                                                device pci 9.0 on end # Broadcom 5704
+                                                device pci 9.1 on end
+                                                device pci a.0 on end # Adaptic
+                                                device pci a.1 on end
 					end
 					device pci 0.1 on end
 					device pci 1.0 on end
@@ -34,12 +30,8 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end # SiI
-                                                end
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
+                                                device pci 5.0 on end # SiI
+                                                device pci 6.0 on end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2882/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/Config.lb
+++ svn/src/mainboard/tyan/s2882/Config.lb
@@ -114,14 +114,10 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on
-                                                chip drivers/pci/onboard 
-                                                        device pci 6.0 on end # adaptec
-                                                        device pci 6.1 on end
-                                                end 
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end # broadcom 5704
-                                                        device pci 9.1 on end
-                                                end
+                                                device pci 6.0 on end # adaptec
+                                                device pci 6.1 on end
+                                                device pci 9.0 on end # broadcom 5704
+                                                device pci 9.1 on end
 					end
 					device pci 0.1 on end
 					device pci 1.0 on end
@@ -135,16 +131,11 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard  
-                                                        device pci 5.0 on end
-                                                end
+                                                device pci 5.0 on end
                                         #       chip drivers/ati/ragexl
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
-                                                chip drivers/pci/onboard 
-                                                        device pci 8.0 on end #intel 10/100
-                                                end
+                                                device pci 6.0 on end
+                                        #       end
+                                                device pci 8.0 on end #intel 10/100
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2882/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/devicetree.cb
+++ svn/src/mainboard/tyan/s2882/devicetree.cb
@@ -12,14 +12,10 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/amd8131
 					# the on/off keyword is mandatory
 					device pci 0.0 on
-                                                chip drivers/pci/onboard 
-                                                        device pci 6.0 on end # adaptec
-                                                        device pci 6.1 on end
-                                                end 
-                                                chip drivers/pci/onboard
-                                                        device pci 9.0 on end # broadcom 5704
-                                                        device pci 9.1 on end
-                                                end
+                                                device pci 6.0 on end # adaptec
+                                                device pci 6.1 on end
+                                                device pci 9.0 on end # broadcom 5704
+                                                device pci 9.1 on end
 					end
 					device pci 0.1 on end
 					device pci 1.0 on end
@@ -33,16 +29,11 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard  
-                                                        device pci 5.0 on end
-                                                end
+                                                device pci 5.0 on end
                                         #       chip drivers/ati/ragexl
-                                                chip drivers/pci/onboard
-                                                        device pci 6.0 on end
-                                                end
-                                                chip drivers/pci/onboard 
-                                                        device pci 8.0 on end #intel 10/100
-                                                end
+                                                device pci 6.0 on end
+                                        #       end
+                                                device pci 8.0 on end #intel 10/100
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/tyan/s2912_fam10/Config.lb
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/Config.lb
+++ svn/src/mainboard/tyan/s2912_fam10/Config.lb
@@ -279,9 +279,7 @@ chip northbridge/amd/amdfam10/root_compl
 					device pci 5.1 on end # SATA 1
 					device pci 5.2 on end # SATA 2
 					device pci 6.0 on
-						chip drivers/pci/onboard
-							device pci 4.0 on end
-						end
+						device pci 4.0 on end
 					end # PCI
 					device pci 6.1 off end # AZA
 					device pci 8.0 on end # NIC
